# $Revision: 1.15 $, $Date: 2004/08/22 19:48:07 $
%define 	modulename pam_dotfile
Summary:	A PAM module which allows users to have more than one password
Summary(pl):	Modu pozwalajcy na posiadanie wicej ni jednego hasa
Name:		pam-%{modulename}
Version:	0.7
Release:	3
Epoch:		0
License:	GPL v2
Vendor:		Lennart Poettering <mz70616d646f7466696c65@itaparica.org>
Group:		Applications/System
Source0:	http://www.stud.uni-hamburg.de/users/lennart/projects/pam_dotfile/%{modulename}-%{version}.tar.gz
# Source0-md5:	3c7249f4e6d8a9bd756bb4e09f2ed907
URL:		http://www.stud.uni-hamburg.de/users/lennart/projects/pam_dotfile/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	lynx
BuildRequires:	pam-devel
BuildRequires:	sed >= 4.0
Obsoletes:	pam_dotfile
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pam_dotfile is a PAM module which allows users to have more than one
password for a single account, each for a different service.

%description -l pl
pam_dotfile jest moduem PAM pozwalajcym uytkownikom na posiadanie
wicej ni jednego hasa do jednego konta, rne hasa do rnych
serwisw.

%prep
%setup -q -n %{modulename}-%{version}

sed -i -e "s#root#$(id -u)#g" src/Makefile*
sed -i -e "s#/lib/security#/%{_lib}/security#g" configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) /%{_lib}/security/pam_dotfile.so
%attr(755,root,root) %{_bindir}/pam*
%attr(4755,root,root) %{_sbindir}/pam*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_dotfile.spec,v $
Revision 1.15  2004/08/22 19:48:07  qboosh
- rebuild ac/am properly (fixes build on amd64); release 3

Revision 1.14  2004/08/19 01:19:39  havner
- maybe this?

Revision 1.13  2004/08/19 01:12:58  havner
- i'm too sleepy

Revision 1.12  2004/08/19 01:10:00  havner
- BR: autoconf

Revision 1.11  2004/08/19 01:09:36  havner
- autoconf

Revision 1.10  2004/08/19 01:08:25  havner
- amd64 fix

Revision 1.9  2004/08/19 00:52:34  undefine
- try fix install on amd64 with moduledir

Revision 1.8  2004/08/19 00:19:20  undefine
- copy config.sub to allow build on amd64

Revision 1.7  2004/07/29 20:47:34  qboosh
- /lib/security -> /%{_lib}/security

Revision 1.6  2004/05/13 17:24:02  ankry
- spaces -> tabs, other cosmetics

Revision 1.5  2003/11/28 07:05:55  qboosh
- no macros in URL and Obsoletes

Revision 1.4  2003/11/25 17:09:57  speedy
- BR: lynx
- release 2

Revision 1.3  2003/11/25 15:37:06  siefca
- adapted def modulename style

Revision 1.2  2003/11/25 14:41:20  siefca
- Epoch added

Revision 1.1  2003/11/25 13:54:54  siefca
- leaded common naming conventions for PAM module packages

Revision 1.6  2003/10/26 14:48:11  qboosh
- BR: sed 4.0

Revision 1.5  2003/10/26 13:50:06  arekm
- updated to 0.7

Revision 1.4  2003/06/05 10:00:26  misi3k
- updated to 0.4

Revision 1.3  2003/05/28 13:00:11  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/03/08 09:57:44  misi3k
- initial release
